# Get log URL statistics - GetNewUcdnLogUrlStatistics

## Overview

Get log URL statistics






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetNewUcdnLogUrlStatistics`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **DomainId** | string | Domain Id |**Yes**|
| **Areacode** | string | Query bandwidth area 'cn' represents domestic, 'abroad' represents overseas, only supports domestic. |No|
| **BeginTime** | int | Start time for bandwidth query, format: timestamp |No|
| **EndTime** | int | Query end time of statistical logs, format: timestamp, can only support querying for 1 day. Optional. |No|
| **OrderBy** | int | 0 indicates sorting in descending order by traffic, 1 indicates sorting in descending order by download times, the default is 0. |No|
| **Limit** | int | Limit on the number of results returned, default is 1000 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UrlStatisticsList** | array[[*UrlStatistics*](#urlstatistics)] | Daily instance statistics. |No|

#### Data Model


#### UrlStatistics

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **UrlList** | array[[*DownloadStatisticInfo*](#downloadstatisticinfo)] |  |No|
| **Date** | string | Date |No|

#### DownloadStatisticInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Url** | string | Download link's url |No|
| **Traffic** | float | Traffic (Unit in G) |No|
| **DownloadTimes** | int | Download Times |No|
| **Percent** | float | Traffic Proportion, Unit % |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=GetNewUcdnLogUrlStatistics
&ProjectId=KaStjefE
&DomainId=apVismjF
&Areacode=MvvZFjqG
&BeginTime=9
&EndTime=2
&OrderBy=8
&Limit=6
```

### Response Example
    
```json
{
  "Action": "GetNewUcdnLogUrlStatisticsResponse",
  "LogStatisticsList": [
    {
      "Date": "xoeJcpan",
      "UrlList": [
        {
          "DownloadTimes": 4,
          "Percent": 3.61651,
          "Traffic": 1.63161,
          "Url": "LeiDBXkN"
        }
      ]
    }
  ],
  "RetCode": 0
}
```





